Subject: Comforter
From: danielle titus <[email-masked]>
To: [email-masked]
Date: Sat, 26 Jul 2025 21:17:42 -0400

Hi I bought the below comforter. Is it normal for it to shed and if so how
long? I’ve had it for a few weeks and the fibers from the flower design
keep falling out. Thanks.

Madison Park King Comforter Set Floral Chenille Tufted Cotton Comforter for
King Size Bed, Soft & Lightweight Down Alternative King Bedding Set, Shams,
Veronica, King/Cal King Grey/White 3 Piece